## Deeds - File-based work time tracking

[![Build Status](https://travis-ci.org/halo/deeds.svg?branch=master)](https://travis-ci.org/halo/deeds)

### Synopsis

Consider keeping track of your work time in a text file like this:

```
2016-09-27 09:00-17:00
2016-09-28 8:50-17:50 -20m shopping
2016-09-29 8:10-17:00
2016-10-03 8h -10m lunch break
2016-10-03 -20m just remembered that I went home 20 minutes earlier yesterday
# And much more...
```

Then you can use this tool to parse and analyze that data.

```bash
deeds my-working-times.txt

Total Minutes - you spent this many minutes working
9715 minutes

Total Hours - you spent this many hours working
161.92 hours

Total full time days - if you would work 8 hours per day,you could have spent this many days working full time
20.24 days

Total full time weeks - if you would work 8 hours per day and 5 days per week, you could have spent this many weeks working full time)
4.05 weeks

Total full time months - if you would work 8 hours per dayand 5 days per week, you could have spent this many months working full time)
1.01 months

Average minutes per day - you worked on 21 individual days (0 days had multiple lines) averaging on
462.62 minutes

Average hours per day - you worked on 21 individual days (0 days had multiple lines) averaging on
7.71 hours
```

### Syntax

This is what every row in that file should look like:

```
# Syntax
DATE [INTERVAL] [ADJUSTMENTS] [ACTIVITY]

# Examples (whitespace is allowed and will be ignored)
2016-09-28 9:00-18:00
2016-09-28 8:50 - 17:50 - 20m Lunch break
2016-09-28 8h -1h
2016-09-28 120m

DATE in the format YYYY-MM-DD
INTERVAL in the format H:MM - H:MM
ADJUSTMENTS in the format +|- 123[m|h]
ACTIVITY is anything after the adjustments
```

### Copyright

MIT 2016 halo. See [MIT-LICENSE](http://github.com/halo/deeds/blob/master/LICENSE.md).
